
#ifndef _DVB_NET_H_
#define _DVB_NET_H_

#include <linux/module.h>
#include <linux/netdevice.h>
#include <linux/inetdevice.h>
#include <linux/etherdevice.h>
#include <linux/skbuff.h>

//#include "dvbdev.h"

#define DST_NET_DEVICES_MAX 16
#define DST_NET_MULTICAST_MAX 10

typedef struct dst_net_priv_s
{
        struct net_device_stats   stats;
        char name[6];
        u16  pid;
       // dmx_demux_t *demux;
       // dmx_section_feed_t *secfeed;
       // dmx_section_filter_t *secfilter;
        int multi_num;
      //  dmx_section_filter_t *multi_secfilter[DST_NET_MULTICAST_MAX];
        unsigned char multi_macs[DST_NET_MULTICAST_MAX][6];
	int mode;
} dst_net_priv_t;

typedef struct dst_net_s {
      //  dvb_device_t *dvbdev;
        int card_num;
        int dev_num;
        struct net_device   device[DST_NET_DEVICES_MAX];
        int state[DST_NET_DEVICES_MAX];
      //  dmx_demux_t *demux;
} dst_net_t;


void dst_net_release(void);
int  dst_net_init(void);

#endif
